Bug 113744 - With borders of differing alpha, the corners become squared off
Summary: With borders of differing alpha, the corners become squared off
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Takashi Sakamoto
URL: http://jsfiddle.net/95d7C/
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-01 21:52 PDT by Takashi Sakamoto
Modified: 2013-04-03 02:46 PDT (History)
10 users (show)

See Also:


Attachments
Patch (6.72 KB, patch)
2013-04-02 00:44 PDT, Takashi Sakamoto
no flags Details | Formatted Diff | Diff
Patch (6.72 KB, patch)
2013-04-02 01:18 PDT, Takashi Sakamoto
no flags Details | Formatted Diff | Diff
Patch (6.74 KB, patch)
2013-04-02 01:35 PDT, Takashi Sakamoto
no flags Details | Formatted Diff | Diff
Patch (6.75 KB, patch)
2013-04-03 01:50 PDT, Takashi Sakamoto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Takashi Sakamoto 2013-04-01 21:52:49 PDT
When we create CSS border around element with differing opacities, a 45 degree angle (with an equal width border) should be expected at the corners.
But with differing opacities the corners become squared off.


https://code.google.com/p/chromium/issues/detail?id=225413
Comment 1 Takashi Sakamoto 2013-04-02 00:44:52 PDT
Created attachment 196086 [details]
Patch
Comment 2 Early Warning System Bot 2013-04-02 00:49:34 PDT
Comment on attachment 196086 [details]
Patch

Attachment 196086 [details] did not pass qt-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17392193
Comment 3 Early Warning System Bot 2013-04-02 00:51:13 PDT
Comment on attachment 196086 [details]
Patch

Attachment 196086 [details] did not pass qt-wk2-ews (qt):
Output: http://webkit-commit-queue.appspot.com/results/17392194
Comment 4 EFL EWS Bot 2013-04-02 01:10:43 PDT
Comment on attachment 196086 [details]
Patch

Attachment 196086 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17330670
Comment 5 Takashi Sakamoto 2013-04-02 01:18:32 PDT
Created attachment 196098 [details]
Patch
Comment 6 Takashi Sakamoto 2013-04-02 01:35:16 PDT
Created attachment 196101 [details]
Patch
Comment 7 Simon Fraser (smfr) 2013-04-02 08:57:22 PDT
Comment on attachment 196101 [details]
Patch

Please update the bug title in the changelog and the testcase.
Comment 8 Takashi Sakamoto 2013-04-03 01:50:34 PDT
Created attachment 196303 [details]
Patch
Comment 9 Takashi Sakamoto 2013-04-03 01:51:28 PDT
Thank you for reviewing.

(In reply to comment #7)
> (From update of attachment 196101 [details])
> Please update the bug title in the changelog and the testcase.

Sure.
I updated.
Comment 10 WebKit Review Bot 2013-04-03 02:46:29 PDT
Comment on attachment 196303 [details]
Patch

Clearing flags on attachment: 196303

Committed r147533: <http://trac.webkit.org/changeset/147533>
Comment 11 WebKit Review Bot 2013-04-03 02:46:33 PDT
All reviewed patches have been landed.  Closing bug.